summaryrefslogtreecommitdiffstats
path: root/games/qtsixa/qtsixa.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/qtsixa/qtsixa.SlackBuild')
-rw-r--r--games/qtsixa/qtsixa.SlackBuild131
1 files changed, 131 insertions, 0 deletions
diff --git a/games/qtsixa/qtsixa.SlackBuild b/games/qtsixa/qtsixa.SlackBuild
new file mode 100644
index 0000000000..372686c599
--- /dev/null
+++ b/games/qtsixa/qtsixa.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# SlackBuild script for "qtsixa".
+
+# Copyright 2013 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qtsixa
+VERSION=1.5.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=QtSixA
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION-src.tar.gz
+cd $SRCNAM-$VERSION
+
+patch -p0 < $CWD/sixad.patch
+patch -p0 < $CWD/qtsixa-dbus.patch
+for file in init shared-h ; do
+ patch -p0 < $CWD/sixad-$file.patch
+done
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+
+mkdir -p $PKG/usr/bin $PKG/usr/sbin $PKG/usr/doc/$PRGNAM-$VERSION \
+$PKG/usr/share/pixmaps $PKG/usr/share/applications $PKG/usr/share/qtsixa \
+$PKG/usr/share/qtsixa/profiles $PKG/usr/share/qtsixa/game-profiles \
+$PKG/usr/share/qtsixa/gui/ui $PKG/usr/share/qtsixa/icons \
+$PKG/usr/share/qtsixa/pics $PKG/var/lib/sixad/profiles \
+$PKG/etc/default $PKG/etc/logrotate.d $PKG/etc/rc.d
+
+for file in qtsixa sixad-lq sixad-notify ; do
+ install -m 0755 $TMP/$SRCNAM-$VERSION/qtsixa/$file $PKG/usr/bin
+done
+
+install -m 0755 $TMP/$SRCNAM-$VERSION/sixad/sixad $PKG/usr/bin
+for file in 3in1 bin raw remote sixaxis ; do
+ install -s -m 0755 $TMP/$SRCNAM-$VERSION/sixad/bins/sixad-$file $PKG/usr/sbin
+done
+
+for file in hidraw-dump sixad-jack sixpair sixpair-kbd ; do
+ install -s -m 0755 $TMP/$SRCNAM-$VERSION/utils/bins/$file $PKG/usr/sbin
+done
+
+install -m 0644 $TMP/$SRCNAM-$VERSION/qtsixa/profiles/* \
+$PKG/usr/share/qtsixa/profiles
+install -m 0644 $TMP/$SRCNAM-$VERSION/qtsixa/game-profiles/* \
+$PKG/usr/share/qtsixa/game-profiles
+cp -r $TMP/$SRCNAM-$VERSION/qtsixa/gui $PKG/usr/share/qtsixa
+chmod -R 755 $PKG/usr/share/qtsixa/gui
+install -m 0644 $TMP/$SRCNAM-$VERSION/qtsixa/icons/* $PKG/usr/share/qtsixa/icons
+install -m 0644 $TMP/$SRCNAM-$VERSION/qtsixa/pics/* $PKG/usr/share/qtsixa/pics
+install -m 0644 $TMP/$SRCNAM-$VERSION/qtsixa/qtsixa.desktop \
+$PKG/usr/share/applications
+install -m 0644 $TMP/$SRCNAM-$VERSION/qtsixa/sixad-notify.desktop \
+$PKG/usr/share/applications
+install -m 0644 $TMP/$SRCNAM-$VERSION/qtsixa/qtsixa.xpm \
+$PKG/usr/share/pixmaps
+
+install -m 0644 $TMP/$SRCNAM-$VERSION/sixad/sixad.default $PKG/etc/default/sixad.new
+install -m 0644 $TMP/$SRCNAM-$VERSION/sixad/sixad.init $PKG/etc/rc.d/rc.sixad.new
+install -m 0644 $TMP/$SRCNAM-$VERSION/sixad/sixad.log $PKG/etc/logrotate.d/sixad.new
+
+for file in COPYING INSTALL README TODO manual.pdf ; do
+ install -m 0644 $TMP/$SRCNAM-$VERSION/$file $PKG/usr/doc/$PRGNAM-$VERSION
+done
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}